<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class SeederExecuteModulos extends Seeder
{
    public function run()
    {
        $dataModulo = array(
            'modu_nombre' => 'Datos institucion',
            'modu_descripcion' => 'Gestionar los datos principales de la institucion',
            'modu_icono' => 'bx-list-ol',
            'modu_enlace' => 'intitucion',
            'modu_orden' => 1,
            'modu_estado' => 1,
        );
        $this->db->table('modulo')->insert($dataModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Funcionarios',
                                'sumo_enlace' => 'funcionario',
                                'sumo_orden' => 1,
                                'sumo_estado' => 1,
                                'modu_id' => 1
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Oficinas',
                                'sumo_enlace' => 'oficina',
                                'sumo_orden' => 2,
                                'sumo_estado' => 1,
                                'modu_id' => 1
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Cargos',
                                'sumo_enlace' => 'cargo',
                                'sumo_orden' => 3,
                                'sumo_estado' => 1,
                                'modu_id' => 1
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);


        $dataModulo = array(
            'modu_nombre' => 'Seguridad',
            'modu_descripcion' => 'Gestionar los accesos y permisos',
            'modu_icono' => 'bx-list-ol',
            'modu_enlace' => 'seguridad',
            'modu_orden' => 2,
            'modu_estado' => 1,
        );
        $this->db->table('modulo')->insert($dataModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Usuarios',
                                'sumo_enlace' => 'usuario',
                                'sumo_orden' => 1,
                                'sumo_estado' => 1,
                                'modu_id' => 2
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Perfiles y Permisos',
                                'sumo_enlace' => 'perfil',
                                'sumo_orden' => 2,
                                'sumo_estado' => 1,
                                'modu_id' => 2
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Accesos Servidores',
                                'sumo_enlace' => 'acceso_servidor',
                                'sumo_orden' => 3,
                                'sumo_estado' => 1,
                                'modu_id' => 2
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);


        //////////////////////////////////////////////////////////////////////////////////////////////

        $dataModulo = array(
            'modu_nombre' => 'Gestion de archivos',
            'modu_descripcion' => 'Administrar y gestionar los archivos de la institucion',
            'modu_icono' => 'bx-archive',
            'modu_enlace' => 'archivo',
            'modu_orden' => 3,
            'modu_estado' => 1,
        );
        $this->db->table('modulo')->insert($dataModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Archivos',
                                'sumo_enlace' => 'archivo',
                                'sumo_orden' => 1,
                                'sumo_estado' => 1,
                                'modu_id' => 3
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);

                            $dataSubModulo = array(
                                'sumo_descripcion' => 'Carpetas',
                                'sumo_enlace' => 'carpeta',
                                'sumo_orden' => 2,
                                'sumo_estado' => 1,
                                'modu_id' => 3
                            );
                            $this->db->table('sub_modulo')->insert($dataSubModulo);


        //////////////////////////////////////////////////////////////////////////////////////////////

        $dataPerfil = array(
            'perf_descripcion' => 'ROOT',
            'perf_estado' => 1
        );
        $this->db->table('perfil')->insert($dataPerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 1
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 2
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 3
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 4
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 5
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 6
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 7
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        $dataDetallePerfil = array(
            'depe_estado' => 1,
            'perf_id' => 1,
            'sumo_id' => 8
        );
        $this->db->table('detalle_perfil')->insert($dataDetallePerfil);

        //////////////////////////////////////////////////////////////////////////////////////////////

        $dataPermiso = array(
            'perm_estado' => 1,
            'perf_id' => 1,
            'usua_id' => 1
        );
        $this->db->table('permiso')->insert($dataPermiso);

    }
}

